# Sieve filter
# note: main is just a random name, since dovecot required a name
##
require [ "regex", "variables", "fileinto", "envelope", "mailbox", "imap4flags", "include" ];

# many examples out there check for "X-Spam-Status" "^Yes", but we do
# this in exim, which doesn't add that by default.  We could modify it's
# config to add $spam_action to a header, like other headers, but simply
# using an integer threshold here is simpler: the default threshold for
# spamassassin is 5, so we have 5 plus symbols here.
if header :regex "x-spam_bar" "^\\+{5}" {
    fileinto :create "Junk";
    stop;
}

include :personal "personal";
include :personal "lists";
include :personal "personalend";


# note, i originally used something like this to filter mailing lists
# http://www.dovecot.org/list/dovecot/2014-September/097846.html
# However, I found that there were a lot of special cases
# where I did not want them filtered, like small mailing lists, etc,
# so I prefer to keep a list of lists that I want filed into folders.
# However, it was useful as an example for constructing that code.
